.sidebar {
  min-width: 250px;
  max-width: 250px;
  min-height: calc(100vh - 56px);
  max-height: calc(100vh - 56px);
  transition: all 0.25s;
  overflow-y: auto;
}

@media screen and (max-width: 770px) {
  .sidebar {
    z-index: 9999;
    /* position: absolute */
  }
}

.sidebar ul li a {
  font-size: 90%;
  display: block;
  padding: 0.5rem;
  color: rgba(255, 255, 255, 0.75);
  text-decoration: none;
}

.sidebar ul li a:hover,
.sidebar ul .active a {
  color: rgba(255, 255, 255, 1);
  background: rgba(0, 0, 0, 0.25);
}

.sidebar ul ul a {
  background: rgba(0, 0, 0, 0.25);
  font-size: 90%;
  display: block;
  padding: 0.5rem 1rem;
  color: rgba(255, 255, 255, 0.75);
  text-decoration: none;
}

.sidebar ul ul a:hover {
  background: rgba(0, 0, 0, 0.2);
  color: rgba(255, 255, 255, 0.7);
}

.sidebar ul i {
  margin-top: 3px;
  padding-right: 3px;
}

.sidebar [data-toggle="collapse"] {
  position: relative;
}

.sidebar [aria-expanded="true"] {
  background: rgba(0, 0, 0, 0.25);
}

.sidebar li span {
  display: block;
  padding: 0.5rem;
  color: rgba(255, 255, 255, 0.75);
  text-decoration: none;
  font-weight: bold;
  background: rgba(0, 0, 0, 0.15);
  border-bottom: 1px rgba(255, 255, 255, 0.19) solid;
}

.sidebar.hidden {
  margin-left: -250px;
}

.product-sidebar-btn {
  position: absolute;
  top: -28px;
  left: 10px;
  z-index: 1;
}

.card-product-grid:hover {
  -webkit-box-shadow: 0 4px 15px rgba(153, 153, 153, 0.3);
  box-shadow: 0 4px 15px rgba(153, 153, 153, 0.3);
  -webkit-transition: 0.3s;
  transition: 0.3s;
}

.card-product-grid .img-wrap {
  border-radius: 0.2rem 0.2rem 0 0;
  height: 220px;
}

.card .img-wrap {
  overflow: hidden;
}

.card-lg .img-wrap {
  height: 280px;
}

.card-product-grid .img-wrap {
  border-radius: 0.2rem 0.2rem 0 0;
  height: 228px;
  padding: 16px;
}

[class*="card-product"] .img-wrap img {
  height: 100%;
  max-width: 100%;
  width: auto;
  display: inline-block;
  -o-object-fit: cover;
  object-fit: cover;
}

.img-wrap {
  text-align: center;
  display: block;
}

.card-product-grid .info-wrap {
  overflow: hidden;
  padding: 18px 20px;
}

[class*="card-product"] a.title {
  color: #212529;
  display: block;
}

.rating-stars {
  display: inline-block;
  vertical-align: middle;
  list-style: none;
  margin: 0;
  padding: 0;
  position: relative;
  white-space: nowrap;
  clear: both;
}

.rating-stars li.stars-active {
  z-index: 2;
  position: absolute;
  top: 0;
  left: 0;
  overflow: hidden;
}

.rating-stars li {
  display: block;
  text-overflow: clip;
  white-space: nowrap;
  z-index: 1;
}

.card-product-grid .bottom-wrap {
  padding: 18px;
  border-top: 1px solid #e4e4e4;
}

.rating .fa {
  color: #ff5722;
}

#wrapper {
  overflow-x: hidden;
}

#sidebar-wrapper {
  min-height: 100vh;
  margin-left: -15rem;
  -webkit-transition: margin 0.25s ease-out;
  -moz-transition: margin 0.25s ease-out;
  -o-transition: margin 0.25s ease-out;
  transition: margin 0.25s ease-out;
}

#sidebar-wrapper .sidebar-heading {
  padding: 0.875rem 1.25rem;
  font-size: 1.2rem;
}

#sidebar-wrapper .list-group {
  width: 15rem;
}

/* #page-content-wrapper {
min-width: 100vw;
} */

#wrapper.toggled #sidebar-wrapper {
  margin-left: 0;
}

.bg-blue {
  background-color: #00a5ba;
}

@media (min-width: 768px) {
  #sidebar-wrapper {
    margin-left: 0;
  }

  #page-content-wrapper {
    min-width: 0;
    width: 100%;
  }

  #wrapper.toggled #sidebar-wrapper {
    margin-left: -15rem;
  }
}
